2010-03-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.8.6.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* tests/openpgp-certs/Makefile.am, tests/openpgp-certs/testselfsigs: 
	Backport tests/openpgp-certs fixes.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* gl/tests/Makefile.am: Update gnulib files.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* gl/m4/getaddrinfo.m4, gl/m4/inet_ntop.m4, gl/m4/inet_pton.m4: 
	Backport fix for inet_ntop/inet_pton link problem.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-03-15  Simon Josefsson <simon@josefsson.org>

	* lib/po/LINGUAS, lib/po/cs.po.in, lib/po/fr.po.in,
	lib/po/nl.po.in, lib/po/pl.po.in, lib/po/sv.po.in, lib/po/vi.po.in,
	lib/po/zh_CN.po.in: Sync with TP.

2009-11-03  Simon Josefsson <simon@josefsson.org>

	* doc/examples/Makefile.am, src/Makefile.am, tests/Makefile.am: Use
	INET_NTOP_LIB and INET_PTON_LIB.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-11-05  Simon Josefsson <simon@josefsson.org>

	* lib/m4/hooks.m4: Make sure libgcrypt's dependency on libgpg-error
	is known.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* tests/pathlen/ca-no-pathlen.pem,
	tests/pathlen/no-ca-or-pathlen.pem: Fix public key identifier
	change.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add note about public key id difference.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* lib/x509/mpi.c: Fix warning.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix copyright.  Add.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Improve.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2010-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix copyright.  Add two NEWS blurbs.

2010-01-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/opencdk/sig-check.c, src/certtool.c,
	tests/openpgp-certs/Makefile.am, tests/openpgp-certs/testselfsigs: 
	When checking self signature also check the signatures of all
	subkeys.  Ilari Liusvaara noticed and reported the issue and
	provided test vectors as well.  certtool --pgp-certificate-info will check self signatures.  Added self tests for self-sigs.

2010-01-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* : commit fd29562630a701fadbfbf316ce323a248a3ccd43 Author: Simon
	Josefsson <simon@josefsson.org> Date:   Fri Dec 4 13:36:58 2009
	+0100

2009-11-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/mpi.c: Corrected two issues that affected certificate
	request generation.  1. Null padding is added on integers (found thanks to Wilankar
	Trupti <trupti.wilankar@hp.com>) 2. In optional SignatureAlgorithm parameters field for DSA keys the
	DSA parameters were added. Those were rejected by verisign. Gnutls
	no longer adds those parameters there since other implementations
	don't do either and having them does not seem to offer anything
	(anyway you need the signer's certificate to verify thus public key
	will be available).

2009-11-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Link to libgcrypt explicitly when libgcrypt
	functions are used.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-11-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac, m4/valgrind.m4: Fix --disable-valgrind-tests.

2009-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: Corrected bug fix author.

2009-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: Documented previous fix.

2009-11-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth_cert.c, lib/gnutls_constate.c, lib/gnutls_sig.c,
	libextra/gnutls_openssl.c, src/certtool.c, src/cfg/cfg+.c,
	src/cfg/platon/str/strdyn.c, src/serv.c: Cleanups and several bug
	fixes found by Tomas Mraz.  "I've patched the following problems in the code found by review of
	gnutls-2.8.5 code done by Steve Grubb.  See the patch attached.  The gnutls_constate.c bug might be potentially serious so I've
	decided to mail it to you directly, not to the public mailing list.  The auth_cert.c change is just cleanup of the code.  In gnutls_openssl.c I've just fixed the potential crasher, correct
	fix would require using asprintf or precomputed length of the buffer
	to allocate a memory.  The certtool.c change is again just a cleanup."

2009-11-05  Simon Josefsson <simon@josefsson.org>

	* lib/gl/tests/test-func.c: Back port Solaris work around for
	__func__ bug.  Reported by Dagobert Michelsen <dam@opencsw.org> in

	<http://thread.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3947>.

2009-11-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, libextra/configure.ac: Bump
	versions.

2009-11-02  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-11-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.8.5.

2009-11-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-11-02  Simon Josefsson <simon@josefsson.org>

	* tests/chainverify.c: Fix time bomb in chainverify self-test.  Reported by Andreas Metzler <ametzler@downhill.at.eu.org> in

	<http://thread.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3925>.

2009-11-02  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_buffers.c, lib/gnutls_buffers.h, lib/gnutls_cipher.c,
	lib/gnutls_handshake.c, lib/gnutls_handshake.h,
	lib/gnutls_hash_int.c, lib/gnutls_hash_int.h, lib/gnutls_int.h,
	lib/gnutls_sig.c, lib/gnutls_state.c: Revert "1. Fix for memory
	leaks on interrupted handshake." This reverts commit 15b31cfc7888aafb4135fb1bc92c710eeaebb4c0.  Let's
	not pull this into the next release, it wasn't in the release
	candidate.

2009-11-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_buffers.c, lib/gnutls_buffers.h, lib/gnutls_cipher.c,
	lib/gnutls_handshake.c, lib/gnutls_handshake.h,
	lib/gnutls_hash_int.c, lib/gnutls_hash_int.h, lib/gnutls_int.h,
	lib/gnutls_sig.c, lib/gnutls_state.c: 1. Fix for memory leaks on interrupted handshake.  2. Fixes issue where a TLS 1.2 client will wrongly calculate hashes
	if the server will select a different than 1.2 protocol.  3. In TLS 1.2 when a certificate request is sent, support is not
	complete. In that case abort the handshake. By checking TLS 1.2 it
	seems that the algorithms to be used for the signature in the
	certificate verify message are negotiated not at the client/server
	hello messages but rather selected by the server at the certificate
	request. This might not look as bad, but since in this message we
	have to sign all previous handshake messages, it forces us to keep
	all the handshake messages into a buffer until this point... I don't
	know who proposed this change to the TLS WG, but it seems it wasn't
	really thought of.

2009-10-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/gnutls_handshake.c: When resuming a session do not
	overwrite the initial session data with resumed session data.
	Discovered on discussion at help-gnutls with Sebastien Decugis.

2009-10-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-10-20  Simon Josefsson <simon@josefsson.org>

	* tests/chainverify.c: Fix expired cert.

2009-10-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-10-14  Simon Josefsson <simon@josefsson.org>

	* lib/pkix_asn1_tab.c: Regenerate.

2009-10-14  Simon Josefsson <simon@josefsson.org>

	* lib/pkix.asn: Work around 'Cannot find OID: 1.2.840.113549.1.9.21'
	PKCS#12 problem.  Reported by Michael Welsh Duggan <mwd@cert.org> in
	<http://permalink.gmane.org/gmane.network.gnutls.general/1786>.

2009-09-28  Ludovic Courtès <ludo@gnu.org>

	* configure.ac, guile/src/core.c: guile: Adjust for Guile 1.9.3+.  * guile/src/core.c (mark_session_record_port,
	  free_session_record_port): Conditionalize on `SCM_MAJOR_VERSION == 1
	  && SCM_MINOR_VERSION <= 8'.  (scm_init_gnutls_session_record_port_type): Adjust accordingly.    (make_session_record_port): Use `scm_gc_malloc_pointerless ()'
	  when available.

2009-09-28  Ludovic Courtès <ludo@gnu.org>

	* guile/src/core.c: guile: Syntactic nitpicking.  * guile/src/core.c (SCM_GNUTLS_MAKE_SESSION_DATA,   SCM_GNUTLS_SET_SESSION_RECORD_PORT): Remove extraneous semicolon.

2009-09-28  Ludovic Courtès <ludo@gnu.org>

	* guile/src/core.c: guile: Use Guile's malloc routines.  * guile/src/core.c (scm_init_gnutls): Use Guile's malloc routines.

2009-09-23  Ludovic Courtès <ludo@gnu.org>

	* guile/src/core.c: Fix integer/pointer cast warnings in the Guile
	bindings on x86_64.  * guile/src/core.c (do_fill_port, fill_session_record_port_input,   scm_gnutls_set_session_transport_fd_x): Make sure pointer/integer
	  casts use integers of the right size.

2009-09-23  Ludovic Courtès <ludo@gnu.org>

	* guile/src/extra.c: Update Guile bindings to the current OpenPGP
	API.  * guile/src/extra.c (scm_gnutls_openpgp_certificate_id,   scm_gnutls_openpgp_certificate_id_x): Use   the newer `gnutls_openpgp_crt_get_key_id ()'.

2009-09-23  Ludovic Courtès <ludo@gnu.org>

	* doc/Makefile.am, guile/src/Makefile.am, guile/tests/Makefile.am: 
	Turn off auto-compilation when using Guile 1.9+.  * guile/src/Makefile.am (GUILE_FOR_BUILD): Turn off auto-compilation   with Guile 1.9+.  * guile/tests/Makefile.am (TESTS_ENVIRONMENT): Likewise.  * doc/Makefile.am (GUILE_FOR_BUILD): Likewise.

2009-09-18  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-09-18  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-09-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.8.4.

2009-09-18  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/m4/hooks.m4: Enable Camellia by default.

2009-08-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/x509/x509.c: Handle XMPP SANs properly.  Reported by Howard
	Chu <hyc@symas.com> in <https://savannah.gnu.org/support/?106975>.

2009-08-27  Dan Fandrich <dan@coneharvesters.com>

	* lib/opencdk/new-packet.c, lib/opencdk/packet.h,
	lib/opencdk/pubkey.c, lib/opencdk/read-packet.c,
	lib/opencdk/stream.c, lib/opencdk/stream.h, lib/opencdk/verify.c,
	lib/x509/crq.c: Fix compiler warning bugs for OpenWatcom.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2009-08-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/openpgp/pgp.c: Fix OpenPGP hostname comparison.

2009-08-18  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-08-17  Simon Josefsson <simon@josefsson.org>

	* gl/m4/size_max.m4, lib/gl/m4/size_max.m4: Pull in SIZE_MAX fix
	from gnulib, to fix IRIX build.  Reported by "Tom G. Christensen" <tgc@jupiterrise.com> in

	<http://permalink.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3782>.

2009-08-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.8.3.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* libextra/Makefile.am: Need to add LIBSOCKET because we link to
	../lib's gnulib library, for mingw.

2009-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-08-13  Simon Josefsson <simon@josefsson.org>

	* lib/x509/x509.c: (gnutls_x509_crt_import): Re-initialize the ASN.1 structure.  If this is not done here, the next certificate loading may fail
	because asn1_der_decoding modified the ASN.1 structure.  Triggered
	by the hostname-check self-test.

2009-08-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-08-12  Simon Josefsson <simon@josefsson.org>

	* libextra/Makefile.am: Add -I to get to ../lib's gnulib.

2009-08-12  Simon Josefsson <simon@josefsson.org>

	* libextra/m4/hooks.m4: Add.

2009-08-11  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_algorithms.c: Doc fix.

2009-08-11  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_algorithms.c, lib/gnutls_anon_cred.c,
	lib/gnutls_auth.c, lib/gnutls_cert.c, lib/gnutls_psk.c,
	lib/gnutls_srp.c, lib/gnutls_state.c, lib/gnutls_x509.c,
	lib/openpgp/gnutls_openpgp.c, lib/openpgp/pgp.c,
	libextra/gnutls_ia.c: Fix typos in documentation.  Reported by Daiki
	Ueno <ueno> in <https://savannah.gnu.org/support/?106969>.

2009-07-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/mini-eagain.c: reduced transferred data size.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* lib/x509/common.c: Revert "do not allow null character in DN." This reverts commit 21bc1439e5ce485dfc34ae7da425a7d4126888af.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.8.2.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_global.c: Look only for latest _required_
	libgcrypt/libtasn1 version.  Reported by Marco d'Itri <md@linux.it> via Andreas Metzler
	<ametzler@downhill.at.eu.org> as Debian BTS #540449.

2009-08-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-07-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_str.c: There are cases where those buffers might
	overlap

2009-08-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-08-03  Simon Josefsson <simon@josefsson.org>

	* tests/chainverify.c: Fix expected output, a cert have expired.

2009-08-03  Simon Josefsson <simon@josefsson.org>

	* tests/mini-eagain.c: Make it build.

2009-08-07  Simon Josefsson <simon@josefsson.org>

	* lib/x509/output.c: Check for NUL in SANs and replace accordingly.

2009-08-07  Simon Josefsson <simon@josefsson.org>

	* lib/x509/common.c: Refuse to return DNs with embedded NULs which
	breaks other code.  Problem published by Dan Kaminsky and Moxie Marlinspike at
	BlackHat09.

2009-06-03  Simon Josefsson <simon@josefsson.org>

	* lib/x509/common.c: (_gnutls_x509_oid_data2string): Return proper @res_size for NULL
	res.

2009-08-04  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_str.c: Cleanup code.

2009-08-04  Tomas Hoger <thoger@redhat.com>

	* lib/gnutls_str.c, lib/gnutls_str.h, lib/openpgp/pgp.c,
	lib/x509/rfc2818_hostname.c: GnuTLS vs. NULL chars in CNs Check cert name size in _gnutls_hostname_compare()     This is needed to protect against NULL (\0) characters embedded
	    in X509 certificates' CNs or subjectAltNames, that can be used
	    to fool SSL certificate verification as was demonstrated by Moxie
	Marlinspike on BH USA 2009:
	http://www.blackhat.com/html/bh-usa-09/bh-usa-09-archives.html#MarlinspikeSigned-off-by: Simon Josefsson <simon@josefsson.org>

2009-08-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-17  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_ui.c: Return proper MPI lengths in bits.  Reported by
	Peter Hendrickson <pdh@wiredyne.com> in

	<http://thread.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3607>.

2009-08-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-08-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-22  Simon Josefsson <simon@josefsson.org>

	* lib/x509/dn.c: Fix off-by-one size computation that leads to
	truncated strings.  Reported by Tim Kosse
	<tim.kosse@filezilla-project.org> in

	<http://thread.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3651>.

2009-07-29  Simon Josefsson <simon@josefsson.org>

	* : commit 872048c5dd438a2c8f6c307d8b303b8cf8be174f Author: Nikos
	Mavrogiannopoulos <nmav@gnutls.org> Date:   Mon Jul 13 20:17:56 2009
	+0300

2009-07-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_handshake.c: Patch by Tim Kosse: "If
	_gnutls_send_finished fails with GNUTLS_E_AGAIN or GNUTLS_E_AGAIN it
	eventually gets called a second time.  It however does not call _gnutls_send_handshake with a NULL pointer
	on repeated calls, ultimately leading to an internal error in
	_gnutls_handshake_io_send_int."

2009-07-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/minitasn1/errors.c, lib/minitasn1/libtasn1.h: Use
	libtasn1 v2.3.

2009-07-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add NEWS entry.

2009-07-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump version.

2009-07-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/auth_cert.h, lib/gnutls_ui.c: Corrected
	gnutls_certificate_client_get_request_status(). Based on observation
	by Peter Hendrickson <pdh@wiredyne.com>.

2009-07-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/minitasn1/decoding.c: more careful decoding of OID.

2009-07-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/x509/common.c: do not allow null character in DN.

2009-07-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/examples/ex-serv-anon.c, doc/examples/ex-serv-export.c,
	doc/examples/ex-serv-pgp.c, doc/examples/ex-serv-psk.c,
	doc/examples/ex-serv-srp.c, doc/examples/ex-serv1.c,
	lib/auth_cert.c, lib/gnutls_buffers.c, lib/gnutls_mpi.c,
	lib/gnutls_pk.c, lib/gnutls_sig.c, lib/opencdk/stream.c,
	lib/opencdk/write-packet.c, lib/openpgp/pgp.c,
	lib/openpgp/privkey.c, lib/x509/privkey_pkcs8.c, src/certtool.c,
	src/psk.c: Several bug fixes by Fabian Keil (some were modified by
	me).

2009-07-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gnutls_buffers.c, tests/Makefile.am, tests/mini-eagain.c: 
	Added bug fix that allows gnutls_record_recv/send resuming from
	previously interrupted actions. Patch by from Tim Kosse
	<tim.kosse@filezilla-project.org>.  Added a self test to check those functions in handling interrupted
	states.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.8.1.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* tests/pkcs12_s2k.c: Fix test vectors.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-10  Simon Josefsson <simon@josefsson.org>

	* lib/x509/pkcs12_encr.c: Fix PKCS#12 string to key function for
	1/128 inputs.  Reported by "Kukosa, Tomas"
	<tomas.kukosa@siemens-enterprise.com> in
	<http://permalink.gmane.org/gmane.network.gnutls.general/1663>.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_extensions.c: Mark global extfunc_size as having static
	scope.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Disable strict aliasing warning for v2.8.x (fixed in
	v2.9.x).

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-06-08  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_extensions.c: Deinitalize extension global variable
	properly.  See <http://bugs.gentoo.org/272388>.

2009-05-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.8.0.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* doc/announcement-template.txt: Typo.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, configure.ac, lib/configure.ac,
	libextra/configure.ac: Prepare for stable release.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-27  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_ui.c: Doc fix.  Reported by Peter Hendrickson
	<pdh@wiredyne.com>.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* src/select.c: Remove unused file, replaced by poll from gnulib.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix generation of error_codes.texi and
	algorithms.texi.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* doc/announcement-template.txt: Fix.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.7.14.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* src/certtool-gaa.c, src/serv-gaa.c: Regenerate.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_global.c, lib/includes/gnutls/compat.h,
	libextra/gnutls_extra.c, libextra/includes/gnutls/extra.h,
	libextra/includes/gnutls/openssl.h, tests/openssl.c, tests/simple.c: 
	Fix version symbol namespace.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* doc/examples/ex-serv-anon.c, doc/examples/ex-serv-export.c,
	doc/examples/ex-serv-pgp.c, doc/examples/ex-serv-psk.c,
	doc/examples/ex-serv1.c, doc/examples/ex-session-info.c,
	doc/gnutls.texi, doc/manpages/certtool.1,
	doc/manpages/gnutls-serv.1, lib/auth_anon.c, lib/auth_dh_common.c,
	lib/auth_dhe.c, lib/auth_dhe_psk.c, lib/gnutls_anon_cred.c,
	lib/gnutls_errors.c, lib/gnutls_handshake.c, lib/gnutls_psk.c,
	lib/gnutls_record.c, lib/gnutls_ui.c,
	lib/includes/gnutls/gnutls.h.in, libextra/gnutls_ia.c,
	src/certtool.gaa, src/prime.c, src/serv.c, src/serv.gaa,
	src/tls_test.c, tests/anonself.c, tests/dhepskself.c,
	tests/openpgpself.c, tests/oprfi.c, tests/resume.c, tests/tlsia.c,
	tests/x509dn.c, tests/x509self.c, tests/x509signself.c: Doc fixes.
	Suggested by Peter Hendrickson <pdh@wiredyne.com>.

2009-05-26  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_auth.c: Doc fix.  Reported by Peter Hendrickson
	<pdh@wiredyne.com>.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.7.13.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* doc/announcement-template.txt: Fix.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* doc/announcement-template.txt: Improve.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* lib/libgnutls.map: Sort symbols.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* lib/libgnutls.map: Auto-generate from GnuTLS 2.6.x list of
	exported symbols.  No substantial change.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* lib/libgnutls.map: Move functions.  Reported by Andreas Metzler
	<ametzler@downhill.at.eu.org> in

	<http://permalink.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3578>.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* lib/libgnutls.map: Move gnutls_x509_crq_set_key back to old ABI
	namespace.  Reported by Andreas Metzler
	<ametzler@downhill.at.eu.org> in

	<http://permalink.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3576>.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-25  Simon Josefsson <simon@josefsson.org>

	* tests/chainverify.c: Fix expired certs.  Exit early to make it
	easier to find failing test.  Reported by Andreas Metzler
	<ametzler@downhill.at.eu.org> in

	<http://permalink.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3580>.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* .clcopying: Fix.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Fix PGP key.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* doc/gnutls.texi, src/Makefile.am, src/README, src/README.srptool: 
	Removed duplicated documentation.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.7.12.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, src/serv.c, src/tls_test.c: Fix gnutls-serv and
	gnutls-cli-debug on Windows.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* gl/getdelim.c: Update gnulib files.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/reference/Makefile.am, lib/minitasn1/libtasn1.h,
	lib/minitasn1/parser_aux.c: Use libtasn1 2.2.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, gl/Makefile.am, gl/m4/sys_socket_h.m4,
	gl/sys_socket.in.h, gl/tests/test-sys_socket.c, lib/gl/Makefile.am,
	lib/gl/m4/sys_socket_h.m4, lib/gl/sys_socket.in.h,
	lib/gl/tests/test-sys_socket.c, maint.mk: Update gnulib files.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/vsnprintf.m4,
	lib/gl/tests/Makefile.am, lib/gl/tests/test-vsnprintf.c,
	lib/gl/vsnprintf.c: Replace vsnprintf if needed.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-05-20  Simon Josefsson <simon@josefsson.org>

	* tests/crq_key_id.c: Reorder gcry quick random to make it
	effective.  Reported by Andreas Metzler
	<ametzler@downhill.at.eu.org> in

	<http://permalink.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3570>.

2009-05-18  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-05-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.7.11.

2009-05-18  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, configure.ac, doc/examples/Makefile.am,
	lib/Makefile.am, lib/configure.ac, lib/openpgp/Makefile.am,
	lib/x509/Makefile.am, libextra/Makefile.am, libextra/configure.ac,
	src/Makefile.am, tests/Makefile.am: Don't build with warnings all
	the time.  Use a WERROR_CFLAGS.

2009-05-18  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2009-05-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-18  Simon Josefsson <simon@josefsson.org>

	* src/serv.c: Don't use unportable NI_MAXHOST/NI_MAXSERV.

2009-05-17  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Link getaddrinfo libraries.  Reported by "Tom G.
	Christensen" <tgc@jupiterrise.com> in

	<http://permalink.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3560>.

2009-05-17  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac: Need to run AC_PROG_CXX
	unconditionally.

2009-05-16  Simon Josefsson <simon@josefsson.org>

	* doc/doxygen/Doxyfile.in, libextra/gl/Makefile.am: Fix old gnulib
	lgpl/ paths.  Reported by "Tom G. Christensen" <tgc@jupiterrise.com>
	in

	<http://permalink.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3556>.

2009-05-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-05-14  Simon Josefsson <simon@josefsson.org>

	* lib/minitasn1/Makefile.am: Need -DASN1_BUILDING for libtasn1.

2009-05-14  Simon Josefsson <simon@josefsson.org>

	* doc/announcement-template.txt: Add.

2009-05-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-14  Simon Josefsson <simon@josefsson.org>

	* lib/minitasn1/Makefile.am: Fix -I's after gnulib changes.
	Reported by "Tom G. Christensen" <tgc@jupiterrise.com> in

	<http://permalink.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3548>.

2009-05-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/configure.ac, lib/m4/hooks.m4,
	libextra/configure.ac: Bump versions.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.7.10.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/tests/Makefile.am, gl/tests/test-alignof.c, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/tests/Makefile.am, lib/gl/tests/test-alignof.c: Avoid failing
	tests.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* lib/gnutls_algorithms.c, lib/gnutls_auth.c, lib/gnutls_buffers.c,
	lib/gnutls_cert.c, lib/gnutls_global.c, lib/gnutls_priority.c,
	lib/gnutls_psk.c, lib/gnutls_session.c, lib/gnutls_state.c,
	lib/includes/gnutls/gnutls.h.in, lib/includes/gnutls/openpgp.h,
	lib/includes/gnutls/pkcs12.h, lib/includes/gnutls/x509.h,
	lib/openpgp/extras.c, lib/openpgp/gnutls_openpgp.c,
	lib/openpgp/pgp.c, lib/openpgp/privkey.c, lib/x509/crq.c,
	lib/x509/dn.c, lib/x509/pkcs12_bag.c, lib/x509/x509.c,
	lib/x509/x509_write.c, libextra/gnutls_ia.c: Doc fixes for GTK-DOC.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* lib/ext_server_name.c, lib/gnutls_priority.c,
	lib/gnutls_record.c, lib/gnutls_srp.c, lib/gnutls_state.c,
	lib/gnutls_ui.c, lib/gnutls_x509.c,
	lib/includes/gnutls/gnutls.h.in, lib/includes/gnutls/x509.h,
	lib/x509/crq.c, lib/x509/dn.c, lib/x509/pkcs7.c,
	lib/x509/privkey.c, lib/x509/verify.c, lib/x509/x509.c,
	lib/x509/x509_write.c: Doc fixes for GTK-DOC.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* lib/includes/gnutls/crypto.h, lib/includes/gnutls/openpgp.h,
	lib/includes/gnutls/x509.h, lib/openpgp/gnutls_openpgp.c,
	lib/x509/dn.c, lib/x509/output.c, lib/x509/pkcs7.c,
	lib/x509/verify.c, lib/x509/x509.c: Doc fixes for GTK-DOC.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* doc/examples/ex-alert.c, doc/examples/ex-cert-select.c,
	doc/examples/ex-client-psk.c, doc/examples/ex-client-resume.c,
	doc/examples/ex-client-srp.c, doc/examples/ex-client-tlsia.c,
	doc/examples/ex-client1.c, doc/examples/ex-client2.c,
	doc/examples/ex-crq.c, doc/examples/ex-pkcs12.c,
	doc/examples/ex-rfc2818.c, doc/examples/ex-serv-anon.c,
	doc/examples/ex-serv-export.c, doc/examples/ex-serv-pgp.c,
	doc/examples/ex-serv-psk.c, doc/examples/ex-serv-srp.c,
	doc/examples/ex-serv1.c, doc/examples/ex-session-info.c,
	doc/examples/ex-verify.c, doc/examples/ex-x509-info.c,
	doc/examples/tcp.c: Place examples in public domain.  After
	discussion with Karl.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* gl/alignof.h, gl/m4/gnulib-comp.m4, gl/tests/Makefile.am,
	gl/tests/test-alignof.c, lib/gl/alignof.h,
	lib/gl/m4/gnulib-comp.m4, lib/gl/tests/Makefile.am,
	lib/gl/tests/test-alignof.c, maint.mk: Update gnulib files.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* lib/opencdk/keydb.c: Avoid sprintf.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* doc/examples/ex-client-tlsia.c, lib/opencdk/literal.c,
	lib/opencdk/misc.c, src/common.c, tests/chainverify.c,
	tests/tlsia.c: Fix warnings.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* doc/gnutls.texi: Fix.

2009-05-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

